## org.biojavax.bio.phylo.tree
Interface RootedTree

All Superinterfaces:
  Tree

All Known Implementing Classes:
  DefaultRootedTree

    public interface RootedTree

extends Tree

Version:
  $Id: RootedTree.java,v 1.1 2006/12/13 17:24:30 tobias Exp $

  created on 12.12.2006 13:24:10
Author:
  Tobias Thierer

Method Summary
`Tree` `asUnrooted()`
`java.util.Collection` `getNodes()`
`RootedTreeNode` `getRoot()`
`boolean` `isRoot(RootedTreeNode node)`
`java.util.Iterator` `postOrderIterator()`

Methods inherited from interface org.biojavax.bio.phylo.tree.Tree
`addBranch, isEmpty, iterator`

Method Detail

### getRoot

    RootedTreeNode getRoot()

### isRoot

    boolean isRoot(RootedTreeNode node)

### getNodes

    java.util.Collection getNodes()

### asUnrooted

    Tree asUnrooted()

### postOrderIterator

    java.util.Iterator postOrderIterator()